﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace ShowChekcedRecordsOnly
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainVM();
        }
 
        private void xamDataGrid1_EditModeEnding(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndingEventArgs e)
        {
            if (xamDataGrid1.ActiveDataItem == xamDataGrid2.ActiveDataItem)
            {
                xamDataGrid2.ActiveRecord = null;
            }
        }
    }


    public class MainVM : PropertyChangedNotifier
    {
        private ObservableCollection<Data> data;

        public MainVM()
        {
            DataSource = new ObservableCollection<Data>();

            for (int i = 0; i < 20; i++)
            {
                DataSource.Add(new Data { ID = i, Name = "item " + i, IsChecked = i % 5 == 0 });
            }

        }

        public ObservableCollection<Data> DataSource
        {
            get { return data; }
            set { data = value; }
        }

    }


    public class Data : PropertyChangedNotifier
    {
        private int id;

        public int ID
        {
            get { return id; }
            set { id = value; OnPropertyChagned("ID"); }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; OnPropertyChagned("Name"); }
        }


        private bool isChecked;

        public bool IsChecked
        {
            get { return isChecked; }
            set { isChecked = value; OnPropertyChagned("IsChecked"); }
        }


    }

    public class PropertyChangedNotifier : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChagned(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
